View Issue Details

IDProjectCategoryView StatusLast Update
0002194Industrial-Craft²tools / electric itemspublic2017-06-03 13:24
ReporterfinalcraftAssigned ToPlayer 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version 
Target VersionFixed in VersionBuilds for MC 1.11.x 
Summary0002194: Quantum/NanoSuit Armor Durability (+ Eu Jetpack)
DescriptionHello !
On Quantum and NanoSuit Armors, there is a problem with their durabilities.

It's like there are 2 Armors in one.
 
-And one with a EU Durabilities
-One with a "normal" Durabilities (This is the bug)

When I take Falling Damage, the "normal" Durabilities decreases until it will break.

On all parts with all NanoSuit (Except boots which work well)

And on the Helmet and leggins parts on QuantumSuit (Chestplate is working but it is refresh 1/2 second after) Without the boots (If not, I don't take any damage).

Parts which are bugging (If there are not broken) are refreshed after a damage. But we can break them.

I have a screen to shown it.

Also, when a Jetpack is empty it can be broken. if I take some damages. It is refresh each times I use it but there is the same bug.

Thanks

Steps To Reproduce
-Get a NanoSuit Armor (Or Quantum without the boots)

-Use a Jetpack it's easier

-Jump and get falling damage

-Look : 1M Of Eu but "Durabilities" is not full.

-Repeat to break it

-Take Damage (Mob, Lava) to refresh them.
Additional InformationMultiplayer and Singleplayer
TagsNo tags attached.
Minecraft Version1.11.2

Activities

finalcraft

2017-05-30 15:32

reporter  

Inked2017-05-30_16.25.30_LI.jpg (913,562 bytes)

finalcraft

2017-05-30 15:55

reporter   ~0005280

Last edited: 2017-05-30 16:24

View 2 revisions

The Bug is also present on : Fire Damame (Not Lava) and suffocation which drain the "Normal" Durability and can break the armor or the Jetpack

On version IC2 industrialcraft-2-2.7.52-ex111

Player

2017-06-02 07:52

administrator   ~0005283

Last edited: 2017-06-02 07:53

View 2 revisions

They use Forge's ISpecialArmor with a damageArmor() implementation that completely blocks regular damage application. This means that the bug is most likely in Forge or less likely in another mod that incorrectly applies damage to the armor stack directly.

Player

2017-06-02 08:34

administrator   ~0005284

The latest build adds a workaround and detection for the faulty cases (logIncorrectItemDamaging in IC2.ini).

I however couldn't reproduce the problem myself with just IC2 in SP. My basic test involved nano helmet+legs+boots and an electric jetpack, then dropping from considerable height in survival. Please try again with the latest build and said setting, it should give us some insight into what's going on.

finalcraft

2017-06-03 09:41

reporter   ~0005291

Now it's working.
You can close.
Thank you for you support !

Maybe a mod problem ! ;)

Issue History

Date Modified Username Field Change
2017-05-30 15:32 finalcraft New Issue
2017-05-30 15:32 finalcraft File Added: Inked2017-05-30_16.25.30_LI.jpg
2017-05-30 15:55 finalcraft Note Added: 0005280
2017-05-30 16:24 finalcraft Note Edited: 0005280 View Revisions
2017-06-02 07:52 Player Note Added: 0005283
2017-06-02 07:53 Player Note Edited: 0005283 View Revisions
2017-06-02 08:34 Player Note Added: 0005284
2017-06-03 09:41 finalcraft Note Added: 0005291
2017-06-03 13:24 Chocohead Status new => resolved
2017-06-03 13:24 Chocohead Fixed in Version => Builds for MC 1.11.x
2017-06-03 13:24 Chocohead Resolution open => fixed
2017-06-03 13:24 Chocohead Assigned To => Player